import { ContextProvider } from "@smallstack/core-common";
export declare class ChannelIdService {
    private contextProvider;
    constructor(contextProvider: ContextProvider);
    /**
     * Creates a channel id for receiving personal events like `unread messages`
     */
    createForPersonal(userId: string): string;
    /**
     * Creates channel ids for endpoints like `applications`, `cms` or `calendars`. Can be used to receive updates on CRUD operations.
     */
    createForCollection(collectionName: string): string;
}
